package com.unis.base.server.entity;

import java.util.Date;
import java.util.List;

import javax.persistence.Column;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;

public class TyHly {
	
	@ApiModelProperty(value = "id", notes ="id")
    @Column(name="id")
    private String id;

	@ApiModelProperty(value = "企业名称", notes ="企业名称")
    @Column(name="qymc")
    private String qymc;

	@ApiModelProperty(value = "企业类型", notes ="企业类型")
    @Column(name="qylx")
    private String qylx;

	@ApiModelProperty(value = "企业信用代码", notes ="企业信用代码")
    @Column(name="qyxydm")
    private String qyxydm;

	@ApiModelProperty(value = "联系人", notes ="联系人")
    @Column(name="lxr")
    private String lxr;

	@ApiModelProperty(value = "联系方式", notes ="联系方式")
    @Column(name="lxfs")
    private String lxfs;

	@ApiModelProperty(value = "组织编码", notes ="组织编码")
    @Column(name="zzbm")
    private String zzbm;

	@ApiModelProperty(value = "创建时间", notes ="创建时间")
    @Column(name="cjsj")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cjsj;
    
	@ApiModelProperty(value = "子表数据新增使用", notes ="子表数据新增使用")
    private List<TyHlyz> zList;
	
	
	public List<TyHlyz> getzList() {
		return zList;
	}

	public void setzList(List<TyHlyz> zList) {
		this.zList = zList;
	}

	/**
     * null
     * @return id null
     */
    public String getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * null
     * @return qymc null
     */
    public String getQymc() {
        return qymc;
    }

    /**
     * null
     * @param qymc null
     */
    public void setQymc(String qymc) {
        this.qymc = qymc == null ? null : qymc.trim();
    }

    /**
     * null
     * @return qylx null
     */
    public String getQylx() {
        return qylx;
    }

    /**
     * null
     * @param qylx null
     */
    public void setQylx(String qylx) {
        this.qylx = qylx == null ? null : qylx.trim();
    }

    /**
     * null
     * @return qyxydm null
     */
    public String getQyxydm() {
        return qyxydm;
    }

    /**
     * null
     * @param qyxydm null
     */
    public void setQyxydm(String qyxydm) {
        this.qyxydm = qyxydm == null ? null : qyxydm.trim();
    }

    /**
     * null
     * @return lxr null
     */
    public String getLxr() {
        return lxr;
    }

    /**
     * null
     * @param lxr null
     */
    public void setLxr(String lxr) {
        this.lxr = lxr == null ? null : lxr.trim();
    }

    /**
     * null
     * @return lxfs null
     */
    public String getLxfs() {
        return lxfs;
    }

    /**
     * null
     * @param lxfs null
     */
    public void setLxfs(String lxfs) {
        this.lxfs = lxfs == null ? null : lxfs.trim();
    }

    /**
     * null
     * @return zzbm null
     */
    public String getZzbm() {
        return zzbm;
    }

    /**
     * null
     * @param zzbm null
     */
    public void setZzbm(String zzbm) {
        this.zzbm = zzbm == null ? null : zzbm.trim();
    }

    /**
     * null
     * @return cjsj null
     */
    public Date getCjsj() {
        return cjsj;
    }

    /**
     * null
     * @param cjsj null
     */
    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }
    
    
}